#pragma once

#include <qthing.h>

#include "driver/ledc.h"


namespace CyanLight {

  class PWMChannel {
    public:
      PWMChannel(uint8_t channel, uint8_t gpio);

      uint32_t getPWM();
      void setPWM(uint32_t pwm);
    
    private:
      uint32_t pwm = 0;
      ledc_channel_t channel;
  };

}
